Package org.eclipse.ecf.provider.remoteservice.generic

## Class RemoteFilterImpl

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.RemoteFilterImpl
  - - org.eclipse.ecf.provider.remoteservice.generic.RemoteFilterImpl

All Implemented Interfaces:
  `IRemoteFilter`, `Filter`

    public class RemoteFilterImpl
    extends RemoteFilterImpl
    implements IRemoteFilter

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.util.RemoteFilterImpl

`REMOTE_SERVICEID_PREFIX`

### Constructor Summary

Constructors
`RemoteFilterImpl​(String createFilter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `match​(IRemoteServiceReference reference)` Filter using a remote service's properties.
`boolean` `match​(ServiceReference reference)`

### Methods inherited from class org.eclipse.ecf.remoteservice.util.RemoteFilterImpl

`equals, getObjectClassFilterString, getRsId, hashCode, match, matchCase, matches, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.osgi.framework.Filter

`equals, hashCode, match, matchCase, matches, toString`

### Constructor Detail

#### RemoteFilterImpl

    public RemoteFilterImpl​(String createFilter)
                     throws InvalidSyntaxException

Parameters:
  `createFilter` - filter to use
Throws:
  `InvalidSyntaxException` - if given createFilter is not a valid filter

### Method Detail

#### match

    public boolean match​(IRemoteServiceReference reference)

Description copied from interface: `IRemoteFilter`
Filter using a remote service's properties.

The filter is executed using the keys and values of the referenced service's properties. The keys are case insensitively matched with the filter.

Specified by:
  `match` in interface `IRemoteFilter`
Overrides:
  `match` in class `RemoteFilterImpl`
Parameters:
  `reference` - The reference to the service whose properties are used in the match.
Returns:
  `true` if the service's properties match this filter; `false` otherwise.

#### match

    public boolean match​(ServiceReference reference)

Specified by:
  `match` in interface `Filter`
Overrides:
  `match` in class `RemoteFilterImpl`